[FFmpeg-devel] [PATCH] configure: use pkg-config to check for libopenjpeg

Carl Eugen Hoyos cehoyos at ag.or.at
Sun Dec 16 18:28:00 CET 2012

 <mixi <at> shadowice.org> writes:

> Beginning with version 1.5.1 openjpeg defaults to install its 
> headers to /usr/include/openjpeg-${major}.${minor} instead of 
> /usr/include making the old test fail.

To the best of my knowledge, this depends on the question 
if the packager prefers cmake or make.
(That was at least the reason when I last checked.)

Are you sure that there is no symlink from /usr/include/openjpeg 
to /usr/include/openjpeg-mjr-min (Opensuse now has two symlinks 
to fix the apparent bug in openjpeg-1)?

Imo, we should check /usr/include/openjpeg.h and 

Carl Eugen

More information about the ffmpeg-devel mailing list